## dblatex 0.1.9

=== Makefile ===

help:
	@echo "To install the package: [g]make install"

install:
	./install.sh

=== docs/Makefile ===
TABLES = $(wildcard table-eg*)
FIGURES = $(addsuffix .eps, $(basename $(wildcard *.fig)))
PWD = $(shell pwd)
TEXIN = $(shell echo ${TEXINPUTS})
CHANGES = $(notdir $(wildcard change*.sgml))
VERSION = devel
OPTS=

all: manual.pdf $(FIGURES)

allstyle: all native db2latex simple

clean:
	$(RM) manual.pdf $(EQUATIONS) $(FIGURES)

native db2latex simple: version.sgml
	../scripts/dblatex -T $@ -o manual-$@.pdf manual.sgml

%.pdf: %.sgml version.sgml $(TABLES) $(FIGURES) $(EQUATIONS) $(CHANGES)
	TEXINPUTS=:$(PWD)/../latex//:$(TEXIN) \
        ../scripts/dblatex -S manual.specs $(OPTS) -o $@ $<

# Actual version of the release
version.sgml: FORCE
	echo $(VERSION) > $@

%.eps: %.fig
	fig2dev -L eps $< > $@

FORCE:

=== tests/mathml/Makefile ===
#
# Two testsuites are available: Testsuite for MathML 1.0 (1) and 
# Testsuite for MathML 2.0 (2).
# The default testsuite used is MathML 2.0, that can be compiled step by step
# (for debug purpose) or in a single step.
#
TOP = ../..
PWD = $(shell pwd)
TEXIN = $(shell echo ${TEXINPUTS})
TSTFILE = mmltest
TSTBASE = .
OPT =

all: full2

full%: $(TSTFILE)%.xml
	TEXINPUTS=:$(PWD)/$(TOP)/latex//:$(TEXIN) \
	../../scripts/dblatex -b pdftex $<

test1: $(TSTFILE)1.tex $(TSTFILE)1.dvi $(TSTFILE)1.xml
test2: $(TSTFILE)2.tex $(TSTFILE)2.dvi $(TSTFILE)2.xml

# FORCE to let compile several times
%.pdf: %.tex FORCE
	TEXINPUTS=:$(PWD)/$(TOP)/latex//:$(TEXIN) pdflatex $<

%.dvi: %.tex
	TEXINPUTS=:$(PWD)/$(TOP)/latex//:$(TEXIN) latex $<

%.tex: %.xml
	$(TOP)/scripts/dblatex -t tex -o $@ $<

%1.xml:
	./build/make_testmml $(OPT) --exclude excluded1 $(TSTBASE)/suite1/testsuite/ > $@

%2.xml:
	./build/make_testmml $(OPT) --exclude excluded2 $(TSTBASE)/suite2/testsuite/ > $@

FORCE:

## dblatex 0.2

=== docs/Makefile ===
TABLES = $(wildcard table-eg*)
PWD = $(shell pwd)
CHANGES = $(wildcard changes/*.xml)
VERSION = devel
OPTS =
XSLTPROC = xsltproc
XSLDBK = /usr/local/share/xsl/docbook
XSLPROF = $(XSLDBK)/profiling/profile.xsl
XSLMAN = $(XSLDBK)/manpages/docbook.xsl

all: profile manual.pdf manpagegz

allstyle: all native db2latex simple

profile:
	@gmake -C manpage -f ../Makefile dblatex-doc.xml

dblatex-doc.xml: dblatex.1.xml
	$(XSLTPROC) -o $@ --param profile.attribute "'output'" \
                          --param profile.value "'manual'" $(XSLPROF) $<

manpagegz:
	@gmake -C manpage -f ../Makefile dblatex.1.gz

clean:
	$(RM) manual.pdf $(FIGURES)

native db2latex simple: version.xml
	../scripts/dblatex -T $@ -o manual-$@.pdf manual.xml

%.pdf: %.xml version.xml $(TABLES) $(CHANGES)
	../scripts/dblatex -c manual.specs $(OPTS) -o $@ $<

# Build the manpage
%.1.gz: %.1
	gzip $<

%.1: %.1.xml
	$(XSLTPROC) --param profile.attribute "'output'" \
                    --param profile.value "'manpage'" $(XSLPROF) $< | \
        $(XSLTPROC) $(XSLMAN) - 

# Actual version of the release
version.xml: FORCE
	echo "<emphasis>$(VERSION)</emphasis>" > $@

FORCE:

## dblatex 0.2.6

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 TABLES = $(wildcard table-eg*)
-PWD = $(shell pwd)
 CHANGES = $(wildcard changes/*.xml)
 VERSION = devel
 OPTS =
@@ -13,19 +12,19 @@
 allstyle: all native db2latex simple
 
 profile:
-	@gmake -C manpage -f ../Makefile dblatex-doc.xml
+	@$(MAKE) -C manpage -f ../Makefile dblatex-doc.xml
 
 dblatex-doc.xml: dblatex.1.xml
 	$(XSLTPROC) -o $@ --param profile.attribute "'output'" \
                           --param profile.value "'manual'" $(XSLPROF) $<
 
 manpagegz:
-	@gmake -C manpage -f ../Makefile dblatex.1.gz
+	@$(MAKE) -C manpage -f ../Makefile dblatex.1.gz
 
 clean:
-	$(RM) manual.pdf $(FIGURES)
+	$(RM) manual.pdf $(FIGURES) manpage/dblatex.1.gz manpage/dblatex-doc.xml
 
-native db2latex simple: version.xml
+native db2latex simple: version.xml profile
 	../scripts/dblatex -T $@ -o manual-$@.pdf manual.xml
 
 %.pdf: %.xml version.xml $(TABLES) $(CHANGES)

## dblatex 0.2.9

=== docs/Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 
 # Build the manpage
 %.1.gz: %.1
-	gzip $<
+	gzip -f $<
 
 %.1: %.1.xml
 	$(XSLTPROC) --param profile.attribute "'output'" \

## dblatex 0.2.12

=== debian/changelog ===
dblatex (0.2.12-4) unstable; urgency=low

  * 20_refresh_pdf_figures.patch:
    Replace upstream figures PDF files by those recreated with TexLive 2009 as
    the 2009 XeTeX backend breaks on the old ones (e.g. when using a DocBook
    <caution> element).
  * Fix watchfile to ignore the (unversioned) examples upstream tarball when
    determining the newest version.  Thanks to Michal Čihař for reporting.
    Closes: #569572
  * Adapt to API changes of package python-apt:
    + 20_python_apt_pep_8.patch
    + debian/control: Version the dependency on python-apt (>= 0.7.91).
  * Standards-Version: 3.8.4 (no changes needed)

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Thu, 18 Feb 2010 20:00:37 +0100

dblatex (0.2.12-3) unstable; urgency=low

  * 20_backslash_filename_in_texlive_2009.patch:
    Adapt handling of backslash characters in <filename> elements to TeX Live
    2009.  Thanks to Sébastien Villemot for reporting.  Closes: #563659
  * Upgrade the versioned TeX Live dependencies from 2007 to 2009 as the
    adaption above does not work with TeX Live 2007.
  * Include some dblatex examples that are packaged separately by upstream in
    the Debian package below the dblatex documentation directory.  Thanks to
    W. Martin Borgert for the suggestion.  Closes: #493261
  * Add a note to README.Debian that for proper hyphenation of localized
    documents the corresponding texlive-lang-* package is needed (e.g.
    texlive-lang-spanish for a spanish document).  Thanks to Daniel Álvaro
    Martínez for the suggestion.
  * Add ${misc:Depends} dependency.  Thanks, lintian.
  * Remove debian/README.source as not necessary for 3.0 (quilt) source
    packages.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Fri, 08 Jan 2010 20:54:46 +0100

dblatex (0.2.12-2) unstable; urgency=low

  * Cope with missing <mtr> and <mtd> elements in MathML <mtable>s (although
    omitting those is deprecated).  Thanks to Petr Břeň for reporting.
    Closes: #551740
  * Migrate patch system from dpatch to quilt.
  * Change source package format to 3.0 (quilt).
  * Include the upstream tarball in original bz2 format instead of repackaging
    it as gz.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sat, 14 Nov 2009 14:12:49 +0100

dblatex (0.2.12-1) unstable; urgency=low

  * New upstream release
  * New upstream release fixes the separate page number display of PDF viewers
    like evince and acroread regarding the TOC page numbers for large documents
    when using the XeTeX backend.  Thanks to Yves-Alexis Perez for reporting.
    Closes: #533332
  * Remove patches that have been integrated upstream:
    + 20_preserve_linebreaks_in_screen_userinput (#528964)
    + 10_dblatex_wrapper_script
  * Cleanup dblatex .sty files that are already provided by TeXLive packages:
    + Remove the duplicates from dblatex.
    + Add a dependency on texlive-bibtex-extra for bibtopic.sty (the other files
      are provided by the already existing dependency on texlive-latex-extra).
    + Remove the .sty files section from the copyright file.
    Thanks to Vincent Lefevre for reporting.  Closes: #535550
  * Synchronize debian/copyright with upstream COPYRIGHT regarding spelling
    issues.
  * Move contents of debian/README.Debian-source to debian/copyright in order to
    comply with "Debian Developer's Reference", "Best practices for orig.tar.gz
    files".
  * Add dblatex README.source refering to the dpatch one.  Thanks, lintian.
  * Standards-Version: 3.8.3 (no changes needed)

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Thu, 27 Aug 2009 20:17:07 +0200

dblatex (0.2.11-1) unstable; urgency=low

  * New upstream release
  * New upstream release improves <refnamediv> rendering.  Thanks to Ivan
    Shmakov for reporting.  Closes: #528849
  * 20_preserve_linebreaks_in_screen_userinput.dpatch:
    Preserve the verbatim nature of <userinput> elements even as children of
    a <screen> element, that is preserve linebreaks.  Thanks to Ivan Shmakov
    for reporting.  Closes: #528964
  * Debian specific files are now kept in upstream repository and included in
    upstream package:
    + Post failure analysis code (errorhandler.py)
    + Wrapper script (/usr/bin/dblatex)
    Adaptions:
    + 10_analyze_failure.dpatch: drop
    + 10_dblatex_wrapper_script.dpatch: adapt wrapper included in upstream
      release to Debian file locations
    + debian/rules: install both files
  * 10_TEXINPUTS_env_precedence.dpatch: remove as integrated upstream.
  * 10_xetex_fontspec_encoder.dpatch: remove as integrated upstream.
  * debian/rules: Remove cleanup of superfluous file test1.py as applied
    upstream.
  * Standards-Version: 3.8.2 (no changes needed)

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sat, 27 Jun 2009 10:01:26 +0200

dblatex (0.2.10-1) unstable; urgency=low

  * New upstream release, fixing several bugs:
    + Support monofont typesettings for non-western languages like bulgarian
      when using the XeTeX backend.  Thanks to W. Martin Borgert for reporting.
      Closes: #499500
    + Disable double quotes as active characters in the intermediate TeX files
      for russian and german documents.  Thanks to Ivan Shmakov for reporting.
      Closes: #525692
  * Remove patches that have been integrated upstream:
    + 20_html_doc_external_programlisting (#492675)
    + 20_html_doc_missing_images (#492675)
    + 20_pass_through_xslt_options (#514932)
    + 20_relax_xetex_dependency (#514293)
    + 20_spanish_support (#492304)
    + 20_ukranian_support (#482856)
    + 20_underscore_in_xreflabel (#492959)
  * Adapt patch 20_cjk_issues (#482857, #492350): Remove parts integrated
    upstream and rename the remaining, permanent patch in accordance with the
    patch numbering scheme: 10_cjk_font
  * Documentation changes:
    + Upstream has separated the Release Notes part of the User Manual into an
      own document.
    + Upstream has integrated the HTML documentation into the upstream package,


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for package 'dblatex' that uses debhelper.
# The underlying template was originally written by Joey Hess and Craig Small.
# As a special exception, when the template is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Some targets (e.g. get-orig-source) are not required to be started from the
# package's top level directory.
# Nevertheless they need to know the package's version.
# The version gets determined at runtime by dpkg-parsechangelog using the
# package's changefile.
# The changefile is located in this file's directory.
# Thus this file's directory needs to be determined, which will only work
# reliably when the make variable MAKEFILE_LIST contains exactly one value.
ifneq ($(words $(MAKEFILE_LIST)),1)
    $(error Unable to determine location of rules.)
endif

debiandir   := $(realpath $(dir $(strip $(MAKEFILE_LIST))))
prefix      := $(debiandir)/dblatex
BIN_DIR     := $(prefix)/usr/bin
SHARE_DIR   := $(prefix)/usr/share/dblatex
CONTRIB_DIR := $(SHARE_DIR)/lib/contrib
TEX_DIR     := $(prefix)/usr/share/texmf/tex/latex/dblatex
XSL_DIR     := $(prefix)/usr/share/xml/docbook/stylesheet/dblatex

PKG_VERS     := $(shell dpkg-parsechangelog -l$(debiandir)/changelog \
                  | grep ^Version: | cut -d' ' -f2 | cut -d- -f1)
PKG_UPSTREAM := dblatex-$(PKG_VERS).tar.bz2
PKG_DEBIAN   := dblatex_$(PKG_VERS).orig.tar.bz2

build: build-stamp

build-stamp:
	dh_testdir
        # As the upstream manual page is not necessarily compressed with
        # maximum compression, let compression be done by dh_installman.
	gunzip --to-stdout docs/manpage/dblatex.1.gz > dblatex.1
	cd docs/ \
        && tar --extract --bzip2 --file=../examples/dblatex/examples-src.tar.bz2
	rm --force docs/examples/COPYRIGHT
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm --force build-stamp
	rm --force dblatex.1
	rm --force --recursive docs/examples/
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir --parents $(BIN_DIR)
	cp --archive lib/contrib/debian/dblatex $(BIN_DIR)

	mkdir --parents $(TEX_DIR)
	cp --archive latex/contrib latex/misc latex/style $(TEX_DIR)
	rm $(TEX_DIR)/misc/passivetex/LICENSE \
           $(TEX_DIR)/misc/attachfile.sty \
           $(TEX_DIR)/misc/bibtopic.sty \
           $(TEX_DIR)/misc/enumitem.sty \
           $(TEX_DIR)/misc/lastpage.sty \
           $(TEX_DIR)/misc/ragged2e.sty

	mkdir --parents $(XSL_DIR)
	cp --archive xsl $(XSL_DIR)

	mkdir --parents $(SHARE_DIR)/lib
	cp --archive lib/dbtexmf $(SHARE_DIR)/lib
	mkdir --parents $(CONTRIB_DIR)/debian
	cp --archive lib/contrib/debian/errorhandler.py $(CONTRIB_DIR)/debian
	touch $(CONTRIB_DIR)/__init__.py $(CONTRIB_DIR)/debian/__init__.py
	mkdir --parents $(SHARE_DIR)/latex
	cp --archive latex/graphics latex/scripts latex/specs \
                     $(SHARE_DIR)/latex
	ln --symbolic ../../texmf/tex/latex/dblatex/contrib \
                      $(SHARE_DIR)/latex/contrib
	ln --symbolic ../xml/docbook/stylesheet/dblatex/xsl $(SHARE_DIR)/xsl

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs docs/manual.pdf docs/release-notes.pdf \
                       docs/html/ docs/examples/
	dh_installman dblatex.1
	dh_pysupport
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch

get-orig-source:
	wget http://prdownloads.sourceforge.net/dblatex/$(PKG_UPSTREAM)?download --output-document=$(PKG_DEBIAN)
	wget http://prdownloads.sourceforge.net/dblatex/dblatex-examples.tar.bz2 --output-document=dblatex_$(PKG_VERS).orig-examples.tar.bz2

.PHONY: build clean install binary-indep binary-arch binary get-orig-source

## dblatex 0.3

=== debian/changelog ===
dblatex (0.3-2) unstable; urgency=low

  * Fix the annoying deprecation warning regarding module md5 introduced with
    python 2.6.
    Thanks to Simon Paillard for reporting and for the patch.
    Closes: #594601

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Mon, 25 Oct 2010 21:46:28 +0200

dblatex (0.3-1) unstable; urgency=low

  * New upstream release
  * New upstream release fixes dblatex's support for alternative XSLT processor
    4xslt.  Thanks to Jakub Wilk for reporting.  Closes: #570582
  * Remove patches that have been integrated upstream:
    + 20_mathml_mtable.patch (#551740)
    + 20_backslash_filename_in_texlive_2009.patch (#563659)
    + 20_refresh_pdf_figures.patch
    + 20_python_apt_pep_8.patch
  * Debian related changes of upstream release: improve error handling:
    + Avoid progress messages when building the apt cache.
    + Fall back to standard error handler when the Debian one doesn't identify
      the error.
  * 10_texlive_version.patch:
    Set new XSL parameter texlive.version to '2009': the upstream solution of
    determining it during package installation is not feasible for Debian.
  * Improve handling of the examples tarball:
    + Extract contents to directory examples/ where dpkg-source expects them
      (instead of previous location examples/dblatex/).
    + Drop debian/source/include-binaries as superfluous.
  * Hotfix for BTS report #576217:
    Avoid pdflatex runs repeating ad infinitum in case of <book> documents with
    german umlauts in headings and dblatex processing options
    latex.encoding=utf8 and latex.unicode.use=1
    Please note that the problem hasn't been solved yet for non-ASCII characters
    in general.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Wed, 14 Apr 2010 21:18:46 +0200

=== debian/control ===
Source: dblatex
Section: text
Priority: optional
Maintainer: Andreas Hoenen <andreas@hoenen-terstappen.de>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: python-support (>= 0.3)
Standards-Version: 3.8.4
Homepage: http://dblatex.sourceforge.net/

Package: dblatex
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, docbook-xml, xsltproc | python-4suite-xml, python-apt (>= 0.7.91), texlive (>= 2009), texlive-bibtex-extra (>= 2009), texlive-latex-extra (>= 2009), texlive-math-extra (>= 2009), texlive-extra-utils (>= 2009)
Recommends: libxml2-utils
Suggests: docbook, ghostscript, graphicsmagick-imagemagick-compat | imagemagick, latex-cjk-all, lmodern, opensp, pdf-viewer, texlive-lang-cyrillic (>= 2009), texlive-xetex (>= 2009), transfig
Description: Produces DVI, PostScript, PDF documents from DocBook sources
 DocBook to LaTeX Publishing that transforms your SGML/XML DocBook documents to
 DVI, PostScript or PDF by translating them in pure LaTeX as a first process.
 MathML 2.0 markups are supported, too.  It originally started as a clone of
 DB2LaTeX, but has been enhanced extensively since then and is actively
 maintained by the upstream author.

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
         # maximum compression, let compression be done by dh_installman.
 	gunzip --to-stdout docs/manpage/dblatex.1.gz > dblatex.1
 	cd docs/ \
-        && tar --extract --bzip2 --file=../examples/dblatex/examples-src.tar.bz2
+        && tar --extract --bzip2 --file=../examples/examples-src.tar.bz2
 	rm --force docs/examples/COPYRIGHT
 	touch build-stamp

## dblatex 0.3.2

=== docs/Makefile ===
TABLES = $(wildcard table-eg*)
CHANGES = $(wildcard changes/*.xml)
VERSION = devel
OPTS =
XSLTPROC = xsltproc
XSLDBK = /usr/local/share/xsl/docbook
XSLPROF = $(XSLDBK)/profiling/profile.xsl
XSLMAN = $(XSLDBK)/manpages/docbook.xsl
XSLHTML = $(XSLDBK)/xhtml/chunk.xsl
XSLPROFH = $(XSLDBK)/xhtml/profile-chunk.xsl
XSLOLINK = $(XSLDBK)/xhtml/docbook.xsl
HTMLDIRUM = xhtml/manual/
HTMLDIRRN = xhtml/release-notes/
CP = cp
HERE = $(shell pwd)

HTML_PARAMS = --param ignore.image.scaling "'1'" \
	      --param graphic.default.extension "'png'" \
	      --param use.id.as.filename "1" \
	      --param refentry.generate.name "0" \
	      --param refentry.generate.title "1" \
	      --param profile.attribute "'output'" \
              --param profile.value "'manual;html'" \
	      --param othercredit.like.author.enabled "1" \
	      --param generate.section.toc.level "3" \
	      --param html.stylesheet "'manual.css'"

# Where to find the manual and the release notes
vpath %.xml . changes

# Main targets
all: olink manpagegz allpdf allhtml

allpdf: manual.pdf release-notes.pdf

allhtml: $(HTMLDIRUM)/index.html $(HTMLDIRRN)/index.html

allstyle: all native db2latex simple

olink: manual.db release-notes.db

# Build and zip the Manpage
manpagegz:
	@$(MAKE) -C manpage -f ../Makefile dblatex.1.gz

# Build the HTML version of the documentation
$(HTMLDIRUM)/index.html: manual.xml
	@$(XSLTPROC) --xinclude --param base.dir "'$(HTMLDIRUM)'" \
			  $(HTML_PARAMS) \
			  $(XSLPROFH) $<
	convert -trim -rotate 90 processus.fig $(HTMLDIRUM)/processus.png
	$(CP) tables/*.png $(HTMLDIRUM)/.
	$(CP) -r math/figures $(HTMLDIRUM)/.
	$(CP) -r $(XSLDBK)/images $(HTMLDIRUM)/.
	$(CP) manual.css $(HTMLDIRUM)/.

$(HTMLDIRRN)/index.html: release-notes.xml
	@$(XSLTPROC) --xinclude --param base.dir "'$(HTMLDIRRN)'" \
			  $(HTML_PARAMS) \
			  $(XSLPROFH) $<
	$(CP) manual.css $(HTMLDIRRN)/.

clean:
	$(RM) manual.pdf release-notes.pdf *.db
	$(RM) $(FIGURES) manpage/dblatex.1.gz
	$(RM) -r $(HTMLDIRUM)
	$(RM) -r $(HTMLDIRRN)

native db2latex simple: version.xml
	$(XSLTPROC) --xinclude \
	            --param profile.attribute "'output'" \
                    --param profile.value "'manual;pdf'" \
		    $(XSLPROF) manual.xml | \
	../scripts/dblatex -P target.database.document=$(HERE)/olinkdb.xml \
	                   -P current.docid=usermanual \
                           -T $@ -o manual-$@.pdf -

# Build the Olink database
%.db: %.xml
	$(XSLTPROC) --xinclude --stringparam  collect.xref.targets "only" \
	            $(XSLOLINK) $<
	mv target.db $@

# Build the PDF
%.pdf: %.xml version.xml $(TABLES) $(CHANGES)
	@$(XSLTPROC) --xinclude \
	            --param profile.attribute "'output'" \
                    --param profile.value "'manual;pdf'" $(XSLPROF) $< | \
	../scripts/dblatex -P target.database.document=$(HERE)/olinkdb.xml \
	                   -c manual.specs $(OPTS) -o $@ - 

# Build the manpage
%.1.gz: %.1
	gzip -f $<

%.1: %.1.xml
	$(XSLTPROC) --param profile.attribute "'output'" \
                    --param profile.value "'manpage'" $(XSLPROF) $< | \
        $(XSLTPROC) $(XSLMAN) - 

# Actual version of the release
version.xml: FORCE
	echo "<emphasis>$(VERSION)</emphasis>" > $@

FORCE:

=== debian/changelog ===
dblatex (0.3.2-1) unstable; urgency=low

  * New upstram release
  * New upstream release fixes the following open Debian BTS issues:
    + Don't crash on XeTeX backend compilation of spanish documents with an
      <appendix> element.  Thanks to W. Martin Borgert for reporting.
      Closes: #629110
  * Remove patches that have been integrated upstream:
    + 20_filename_replaceable.patch (#623590)
  * Take over actualized copyright period of upstream COPYRIGHT to
    debian/copyright.
  * Replace python build helper dh_pysupport with dh_python2.
  * In draft mode set draft watermark for XeTeX backend, too.  Thanks to W.
    Martin Borgert for reporting and for the patch.  Closes: #629514

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sat, 09 Jul 2011 15:20:37 +0200

dblatex (0.3.1-2) unstable; urgency=low

  * Render <replaceable> elements inside of <filename> elements like other
    <replaceable> elements: use an italics type.  Thanks to Osamu Aoki for
    reporting.  Closes: #623590

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Wed, 11 May 2011 20:46:31 +0200

dblatex (0.3.1-1) unstable; urgency=low

  * New upstram release
  * New upstream release fixes the following Debian BTS issues:
    + In french documents use « and » as quote characters instead of “ and ”.
      Thanks to David Prévot for reporting.  Closes: #609374
    + Replace html by xhtml documentation (and thus change encoding from
      ISO-8859-1 to UTF-8): this fixes ugly appearance of dblatex pages in dwww.
      Thanks to W. Martin Borgert for reporting.  Closes: #617842
    + Don't crash TeX compilation on special characters like # in
      <footnote><filename> elements.  Thanks to Osamu Aoki for reporting.
      Closes: #622357
  * Remove patches that have been integrated upstream:
    + 20_python_deprecated_md5.patch (#594601)
  * Improve subtitle handling:
    + Don't pass through a subtitle as plain text into document body due to a
      missing stylesheet (problem is style independent).
    + Display subtitle below title in simple style, just as it is done in
      db2latex style.
    Thanks to Roland Stigge for reporting.  Closes: #584669
  * Avoid duplication of title and author on title page for articles in
    db2latex style.  Thanks to Roland Stigge for reporting.  Closes: #584670
  * Also install upstream changelog.  Thanks to Michal Čihař for the suggestion.
  * Replace deprecated 'dh_clean -k' by 'dh_prep' in debian/rules.
    Correspondingly bump Build-Depends dependency on debhelper to >= 7 in
    debian/control.
  * Standards-Version: 3.9.2 (no changes needed)

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Mon, 25 Apr 2011 22:06:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Andreas Hoenen <andreas@hoenen-terstappen.de>
-Build-Depends: debhelper (>= 5)
-Build-Depends-Indep: python-support (>= 0.3)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7)
+Build-Depends-Indep: python (>= 2.6.6-3~)
+Standards-Version: 3.9.2
 Homepage: http://dblatex.sourceforge.net/
 
 Package: dblatex

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,11 @@
 PKG_UPSTREAM := dblatex-$(PKG_VERS).tar.bz2
 PKG_DEBIAN   := dblatex_$(PKG_VERS).orig.tar.bz2
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
 
 build-stamp:
 	dh_testdir
@@ -44,6 +48,10 @@
 	cd docs/ \
         && tar --extract --bzip2 --file=../examples/examples-src.tar.bz2
 	rm --force docs/examples/COPYRIGHT
+        # Don't follow upstream directory name change from docs/html/ to
+        # docs/xhtml/, but keep well known name /usr/share/doc/dblatex/html/,
+        # that is don't break existing bookmarks.
+	if [ -d docs/xhtml ]; then mv docs/xhtml docs/html; fi
 	touch build-stamp
 
 clean:
@@ -52,12 +60,13 @@
 	rm --force build-stamp
 	rm --force dblatex.1
 	rm --force --recursive docs/examples/
+	if [ -d docs/html ]; then mv docs/html docs/xhtml; fi
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	mkdir --parents $(BIN_DIR)
@@ -91,11 +100,11 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs docs/changes/changes.txt
 	dh_installdocs docs/manual.pdf docs/release-notes.pdf \
                        docs/html/ docs/examples/
 	dh_installman dblatex.1
-	dh_pysupport
+	dh_python2
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## dblatex 0.3.4

=== docs/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 olink: manual.db release-notes.db
 
 # Build and zip the Manpage
-manpagegz:
+manpagegz: version.xml
 	@$(MAKE) -C manpage -f ../Makefile dblatex.1.gz
 
 # Build the HTML version of the documentation
@@ -49,7 +49,8 @@
 			  $(HTML_PARAMS) \
 			  $(XSLPROFH) $<
 	convert -trim -rotate 90 processus.fig $(HTMLDIRUM)/processus.png
-	$(CP) tables/*.png $(HTMLDIRUM)/.
+	convert -trim pagesetup2.fig $(HTMLDIRUM)/pagesetup2.png
+	$(CP) *.png tables/*.png $(HTMLDIRUM)/.
 	$(CP) -r math/figures $(HTMLDIRUM)/.
 	$(CP) -r $(XSLDBK)/images $(HTMLDIRUM)/.
 	$(CP) manual.css $(HTMLDIRUM)/.
@@ -95,7 +96,8 @@
 
 %.1: %.1.xml
 	$(XSLTPROC) --param profile.attribute "'output'" \
-                    --param profile.value "'manpage'" $(XSLPROF) $< | \
+                    --param profile.value "'manpage'" \
+                    --xinclude $(XSLPROF) $< | \
         $(XSLTPROC) $(XSLMAN) - 
 
 # Actual version of the release

=== tests/mathml/Makefile ===
--- 
+++ 
@@ -14,8 +14,7 @@
 all: full2
 
 full%: $(TSTFILE)%.xml
-	TEXINPUTS=:$(PWD)/$(TOP)/latex//:$(TEXIN) \
-	../../scripts/dblatex -b pdftex $<
+	$(TOP)/scripts/dblatex $<
 
 test1: $(TSTFILE)1.tex $(TSTFILE)1.dvi $(TSTFILE)1.xml
 test2: $(TSTFILE)2.tex $(TSTFILE)2.dvi $(TSTFILE)2.xml

=== debian/changelog ===
dblatex (0.3.4-3build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:51 +0000

dblatex (0.3.4-3) unstable; urgency=low

  * 20_xetex_index_page_range.patch:
    Also with XeTeX backend show page ranges in index with ndash (–) instead of
    double hyphen (--).  Thanks to Petter Reinholdtsen for reporting.
    Closes: #682901
  * 20_chapter_after_part.patch:
    In the PDF document structure don't include chapters after a book part
    in the part.  Thanks to Petter Reinholdtsen for reporting and for his ideas
    how to solve this in TeX.  Closes: #683166
  * 20_nn_quotes_in_title.patch:
    Don't crash on quotation marks in titles of Norwegian Nynorsk documents.
    Thanks to Petter Reinholdtsen for reporting.  Closes: #684393
  * Adapt 20_norwegian_bokmal.patch regarding quotes as told by Petter
    Reinholdtsen (http://bugs.debian.org/684391#26).
  * debian/rules:
    + Drop target override_dh_auto_install as superfluous.
    + Simplify documentation installation/cleanup.
    Thanks to Raphaël Hertzog for the suggestions.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sat, 03 Nov 2012 09:21:25 +0100

dblatex (0.3.4-2) unstable; urgency=low

  * 20_norwegian_bokmal.patch:
    Add support for document language Norwegian Bokmål: lang="nb"
    Thanks to Petter Reinholdtsen for reporting and for some localization.
    Closes: #682936, #684391

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sat, 25 Aug 2012 11:09:15 +0200

dblatex (0.3.4-1) unstable; urgency=low

  * New upstream release
    Closes: #675741
  * 20_regression_simple_style.patch:
    Fix a regression that breaks simple style.
  * 20_regression_zh-cn.patch:
    Fix a regression that breaks some documents with language zh-cn.
  * 20_texlive_version_2009.patch:
    Keep the value 2009 for parameter texlive.version, as bigger values result
    in problems.
  * Drop patches that have been integrated upstream:
    + 20_dblatex_sys_path.patch
    + 20_debian_errorhandler.patch
    + 20_glossary.patch
    + 20_missed_chars.patch
  * debian/rules:
    Use new upstream install layout "deb", which enables us to simplify the
    rules file considerably.
  * Remove python-4suite-xml dependency (alternative to xlstproc) as package has
    been removed from unstable (#637334) and as using it as XSLT processor has
    started to run into "out of memory" recently.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Thu, 07 Jun 2012 15:25:28 +0200

dblatex (0.3.3-2) unstable; urgency=low

  * 20_glossary.patch:
    Fix failure for glosssee and glossseealso elements within a glossary:
    http://sourceforge.net/tracker/?func=detail&atid=535062&aid=3520152&group_id=72607
    Thanks to Benoît Guillon for pointing to the problem and for his patch.
  * 20_debian_errorhandler.patch:
    Adapt Debian error handler to changed upstream call in error case.
  * Simplify packaging:
    Keep upstream python namespace "dbtexmf" instead of moving it below an
    additional namespace "dblatex".  Thanks to Raphaël Hertzog for the advice.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sun, 29 Apr 2012 12:05:52 +0200

dblatex (0.3.3-1) unstable; urgency=low

  * New upstram release
  * Remove patches that have been integrated upstream:
    + 10_texlive_version.patch
    + 20_apt_progress_interface.patch
    + 20_exit_code_on_error.patch (#632967)
    + 20_no_image_in_pdftitle.patch (#634563)
    + 20_xetex_draft_watermark.patch (#629514)
  * 20_missed_chars.patch:
    Fix the new feature of warnings about characters missing from the used font
    when using the pdftex backend.  Thanks to Benoît Guillon for the patch.
  * debian/rules:
    Replace the manual approach by the debhelper command sequencer dh.
  * Standards-Version: 3.9.3 (no changes needed)

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Tue, 24 Apr 2012 17:30:21 +0200

dblatex (0.3.2-2) unstable; urgency=low

  * 20_no_image_in_pdftitle.patch:
    Don't try to include a title image in the pdftitle field of TeX package
    hyperref, as this field doesn't support images.  Thanks to Lucas Nussbaum
    for reporting and to Torsten Werner for tracking down the build failure of
    package xmlunit to dblatex.  Closes: #634563
  * 20_exit_code_on_error.patch:
    Signal every build failure by an exit code ≠ 0.  Thanks to Osamu Aoki for
    reporting.  Closes: #632967
  * 20_apt_progress_interface.patch:
    Adapt Debian dblatex error handler to python-apt interface changes:
    Avoid warnings like below when the error handler gets called:
      Error in function update
      TypeError: update() takes exactly 2 arguments (1 given)

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Tue, 13 Sep 2011 20:21:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: text
 Priority: optional
 Maintainer: Andreas Hoenen <andreas@hoenen-terstappen.de>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://dblatex.sourceforge.net/
 
 Package: dblatex
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, docbook-xml, xsltproc | python-4suite-xml, python-apt (>= 0.7.91), texlive (>= 2009), texlive-bibtex-extra (>= 2009), texlive-latex-extra (>= 2009), texlive-math-extra (>= 2009), texlive-extra-utils (>= 2009)
+Depends: ${misc:Depends}, ${python:Depends}, docbook-xml, xsltproc, python-apt (>= 0.7.91), texlive (>= 2009), texlive-bibtex-extra (>= 2009), texlive-latex-extra (>= 2009), texlive-math-extra (>= 2009), texlive-extra-utils (>= 2009)
 Recommends: libxml2-utils
 Suggests: docbook, ghostscript, graphicsmagick-imagemagick-compat | imagemagick, latex-cjk-all, lmodern, opensp, pdf-viewer, texlive-lang-cyrillic (>= 2009), texlive-xetex (>= 2009), transfig
 Description: Produces DVI, PostScript, PDF documents from DocBook sources

=== debian/rules ===
#!/usr/bin/make -f

# Use the debhelper command sequencer.
%:
	dh $@ --with python2

############################# Variable definitions #############################

# Some targets (e.g. get-orig-source) are not required to be started from the
# package's top level directory.
# Nevertheless they need to know the package's version.
# The version gets determined at runtime by dpkg-parsechangelog using the
# package's changefile.
# The changefile is located in this file's directory.
# Thus this file's directory needs to be determined, which will only work
# reliably when the make variable MAKEFILE_LIST contains exactly one value.
ifneq ($(words $(MAKEFILE_LIST)),1)
    $(error Unable to determine location of rules)
endif

debiandir := $(realpath $(dir $(strip $(MAKEFILE_LIST))))

PKG_VERS     := $(shell dpkg-parsechangelog -l$(debiandir)/changelog \
                | grep ^Version: | cut -d' ' -f2 | cut -d- -f1)
PKG_UPSTREAM := dblatex-$(PKG_VERS).tar.bz2
PKG_DEBIAN   := dblatex_$(PKG_VERS).orig.tar.bz2
DOWNLOAD_URL := http://prdownloads.sourceforge.net/dblatex

################################# dh overrides #################################

override_dh_clean:
	rm --force --recursive docs/examples/
	rm --force --recursive dblatex.egg-info/
	dh_clean

override_dh_auto_build:
        # - Nothing to be compiled
        # - Don't call build_doc, as it's superfluous and will run into
        #   bootstrap problems.

override_dh_installchangelogs:
	dh_installchangelogs docs/changes/changes.txt

override_dh_installdocs:
        # Prepare installation of dblatex examples.
	tar --directory=docs --extract --bzip2 \
            --file=examples/examples-src.tar.bz2
	rm --force docs/examples/COPYRIGHT
        # Finally install all documentation.
	dh_installdocs docs/manual.pdf docs/release-notes.pdf \
                       docs/xhtml/ docs/examples/
        # Don't follow upstream directory name change from docs/html/ to
        # docs/xhtml/, but keep well known name /usr/share/doc/dblatex/html/,
        # that is don't break existing bookmarks.
	mv debian/dblatex/usr/share/doc/dblatex/xhtml debian/dblatex/usr/share/doc/dblatex/html

############################## Additional targets ##############################

get-orig-source:
	wget $(DOWNLOAD_URL)/$(PKG_UPSTREAM)?download \
             --output-document=$(PKG_DEBIAN)
	wget $(DOWNLOAD_URL)/dblatex-examples.tar.bz2 \
             --output-document=dblatex_$(PKG_VERS).orig-examples.tar.bz2

.PHONY: get-orig-source

=== debian/watch ===
# Watch control file for uscan
version=3
http://sf.net/dblatex/dblatex-(\d.*)\.tar\.bz2

## dblatex 0.3.5

=== docs/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 VERSION = devel
 OPTS =
 XSLTPROC = xsltproc
-XSLDBK = /usr/local/share/xsl/docbook
+XSLDBK = /usr/share/xml/docbook/stylesheet/docbook-xsl
 XSLPROF = $(XSLDBK)/profiling/profile.xsl
 XSLMAN = $(XSLDBK)/manpages/docbook.xsl
 XSLHTML = $(XSLDBK)/xhtml/chunk.xsl

=== debian/changelog ===
dblatex (0.3.5-2) unstable; urgency=low

  * 20_nb_quotes_in_title.patch:
    Don't crash on quotation marks in titles of Norwegian Bokmål documents.
    Thanks to Petter Reinholdtsen for reporting.  Closes: #771473

  * Upload sponsored by Petter Reinholdtsen.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sat, 06 Dec 2014 19:02:10 +0100

dblatex (0.3.5-1) unstable; urgency=low

  * New upstream release
  * New upstream release fixes the following open Debian BTS issues:
    Fix compilation errors for greek letters Epsilon, Tau and theta.  Add
    support for missing greek letters.  Thanks to Alan W. Irwin for reporting
    and for his patch.  Closes: #720624
  * Add Suggests dependency on texlive-lang-all as with recent TexLive versions
    many languages other than english need the corresponding texlive-lang-...
    package for dblatex transformation.
  * Drop patches that have been integrated upstream:
    + 20_regression_simple_style.patch
    + 20_regression_zh-cn.patch
    + 20_texlive_version_2009.patch
    + 20_norwegian_bokmal.patch
    + 20_chapter_after_part.patch
    + 20_xetex_index_page_range.patch
  * Refresh various patches regarding line numbers.
  * Standards-Version: 3.9.5 (no changes needed)

  * Upload sponsored by Petter Reinholdtsen.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Tue, 03 Jun 2014 20:52:17 +0200

=== debian/control ===
Source: dblatex
Section: text
Priority: optional
Maintainer: Andreas Hoenen <andreas@hoenen-terstappen.de>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>= 2.6.6-3~)
Standards-Version: 3.9.5
Homepage: http://dblatex.sourceforge.net/

Package: dblatex
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, docbook-xml, xsltproc, python-apt (>= 0.7.91), texlive (>= 2009), texlive-bibtex-extra (>= 2009), texlive-latex-extra (>= 2009), texlive-math-extra (>= 2009), texlive-extra-utils (>= 2009)
Recommends: libxml2-utils
Suggests: docbook, ghostscript, graphicsmagick-imagemagick-compat | imagemagick, latex-cjk-all, lmodern, opensp, pdf-viewer, texlive-lang-all (>= 2009), texlive-lang-cyrillic (>= 2009), texlive-xetex (>= 2009), transfig
Description: Produces DVI, PostScript, PDF documents from DocBook sources
 DocBook to LaTeX Publishing that transforms your SGML/XML DocBook documents to
 DVI, PostScript or PDF by translating them in pure LaTeX as a first process.
 MathML 2.0 markups are supported, too.  It originally started as a clone of
 DB2LaTeX, but has been enhanced extensively since then and is actively
 maintained by the upstream author.

## dblatex 0.3.7

=== Makefile ===
DBLATEX = dblatex
XSLPARAM = example_param.xsl
OPTS = -p $(XSLPARAM)
LISTINGS = tree.py prog.c

all: example.pdf example_mathml.pdf

package: example.pdf example_mathml.pdf
	mkdir -p dblatex/examples
	install -m0666 *.xml dblatex/examples
	install -m0666 *.xsl dblatex/examples
	install -m0666 image.* dblatex/examples
	install -m0666 Makefile dblatex/examples
	install -m0666 COPYRIGHT dblatex/examples
	install -m0666 $(LISTINGS) dblatex/examples
	install -m0444 $^ dblatex/.
	install -m0666 COPYRIGHT dblatex/.
	tar cvfj dblatex/examples-src.tar.bz2 -C dblatex examples
	$(RM) -r dblatex/examples
	tar cvfj dblatex-examples.tar.bz2 dblatex

%.pdf: %.xml $(XSLPARAM)
	$(DBLATEX) $(OPTS) -o $@ $<

clean:
	$(RM) *.pdf

=== docs/Makefile ===
--- 
+++ 
@@ -76,6 +76,10 @@
 	                   -P current.docid=usermanual \
                            -T $@ -o manual-$@.pdf -
 
+# Use the PDF image because the PNG from .fig is ugly
+pagesetup2.pdf: pagesetup2.fig
+	fig2dev -L pdf $< $@
+
 # Build the Olink database
 %.db: %.xml
 	$(XSLTPROC) --xinclude --stringparam  collect.xref.targets "only" \
@@ -83,7 +87,7 @@
 	mv target.db $@
 
 # Build the PDF
-%.pdf: %.xml version.xml $(TABLES) $(CHANGES)
+%.pdf: %.xml version.xml $(TABLES) $(CHANGES) pagesetup2.pdf
 	@$(XSLTPROC) --xinclude \
 	            --param profile.attribute "'output'" \
                     --param profile.value "'manual;pdf'" $(XSLPROF) $< | \

=== debian/changelog ===
dblatex (0.3.7-1) unstable; urgency=low

  * New upstream release
    + Use section attribute label to force the section counter.  Don't
      number a chapter with an empty label attribute.  Thanks to Petter
      Reinholdtsen for reporting.  Closes: #684772
    + Improve the PDF metadata setup.  Thanks to Petter Reinholdtsen for
      reporting.  Closes: #792898
    + Allow one to put a figure anchor at the top even if the caption is at the
      bottom, thanks to the parameter figure.anchor.top.  Thanks to Petter
      Reinholdtsen for reporting.  Closes: #793077
  * Drop patches that have been integrated upstream:
    + 20_inkscape_error_handler.patch
  * Refresh various patches regarding line numbers and context.
  * Add a temporary lintian override regarding a copyright file spelling error
    until it will be fixed upstream.
  * debian/compat:
    + Bump compatibility level to 9.
  * debian/control:
    + Bump debhelper dependency version to >= 9.
    + Wrap and sort dependencies.
    + Remove dependency version constraints already fulfilled in oldstable.
  * debian/rules:
    + Explicitly specify build system in default dh call.
    + Use target override_dh_installexamples for examples instead of target
      override_dh_installdocs.
    + Simplify file by replacing target override_dh_installdocs with separate
      file debian/docs.
    + Instead of moving xhtml/ documentation directory to well known html/
      location, create a compatibility symlink (new file debian/dblatex.links).
    + Simplify file by removing target get-orig-source and related variable
      definitions: redundant to uscan command.
    + Unify recipe line indentation: use TAB as prefix for every recipe line.
    + Clean up override_dh_clean content.
  * debian/watch:
    + Also watch examples tarball.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Thu, 27 Aug 2015 21:47:54 +0200

dblatex (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Drop patches that have been integrated upstream:
    + 20_nb_quotes_in_title.patch
    + 20_nn_quotes_in_title.patch
  * Fix #756386:
    + New upstream relase adds possibility to use xindy instead of makeindex as
      it is better suited for sorting of index entries starting with non-latin
      characters.
    + debian/control:
      Add Suggests dependency on xindy.
    + README.Debian:
      Document dependency purpose xindy usage.
    Thanks to Petter Reinholdtsen for reporting.  Closes: #756386
  * Resolve dependency issues with inkscape:
    + debian/control:
      Add Suggests dependency on inkscape needed for on the fly SVG conversion.
    + README.Debian:
      Document dependency purpose.
    + 20_inkscape_error_handler.patch:
      Emit a warning if SVG conversion fails due to inkscape not installed.
    Thanks to Sebastian Kuzminsky for reporting.  Closes: #766945
  * debian/control:
    + Add build dependency on dh-python.
    + Provide X-Python-Version information.
  * Standards-Version: 3.9.6 (no changes needed)

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Fri, 12 Jun 2015 22:52:25 +0200

=== debian/control ===
Source: dblatex
Section: text
Priority: optional
Maintainer: Andreas Hoenen <andreas@hoenen-terstappen.de>
Build-Depends: debhelper (>= 9), dh-python
Build-Depends-Indep: python
Standards-Version: 3.9.6
Homepage: http://dblatex.sourceforge.net/
X-Python-Version: >= 2.4

Package: dblatex
Architecture: all
Depends: docbook-xml,
         python-apt,
         texlive,
         texlive-bibtex-extra,
         texlive-extra-utils,
         texlive-latex-extra,
         texlive-math-extra,
         xsltproc,
         ${misc:Depends},
         ${python:Depends}
Recommends: libxml2-utils
Suggests: docbook,
          ghostscript,
          graphicsmagick-imagemagick-compat | imagemagick,
          inkscape,
          latex-cjk-all,
          lmodern,
          opensp,
          pdf-viewer,
          texlive-lang-all,
          texlive-lang-cyrillic,
          texlive-xetex,
          transfig,
          xindy
Description: Produces DVI, PostScript, PDF documents from DocBook sources
 DocBook to LaTeX Publishing that transforms your SGML/XML DocBook documents to
 DVI, PostScript or PDF by translating them in pure LaTeX as a first process.
 MathML 2.0 markups are supported, too.  It originally started as a clone of
 DB2LaTeX, but has been enhanced extensively since then and is actively
 maintained by the upstream author.

=== debian/rules ===
#!/usr/bin/make -f

# Use the debhelper command sequencer.
%:
	dh $@ --buildsystem=pybuild --with python2

override_dh_clean:
	rm --force --recursive docs/examples/
	dh_clean

override_dh_auto_build:
	# - Nothing to be compiled
	# - Don't call build_doc, as it's superfluous and will run into
	#   bootstrap problems.

override_dh_installchangelogs:
	dh_installchangelogs docs/changes/changes.txt

override_dh_installexamples:
	tar --directory=docs --extract --bzip2 --exclude=COPYRIGHT \
	    --file=examples/examples-src.tar.bz2
	dh_installexamples docs/examples/*

=== debian/watch ===
# Watch control file for uscan
version=3
http://sf.net/dblatex/dblatex-(\d.*)\.tar\.bz2
opts=versionmangle=s/.*// http://sf.net/dblatex/dblatex-examples()\.tar\.bz2

## dblatex 0.3.8

=== debian/changelog ===
dblatex (0.3.8-1) unstable; urgency=low

  * New upstream release
  * Drop a temporary lintian override regarding a copyright file spelling error
    as it has been fixed upstream.
  * Standards-Version: 3.9.8
    + Move documentation and examples to separate package dblatex-doc.
  * Update debian/watch.

 -- Andreas Hoenen <andreas@hoenen-terstappen.de>  Sat, 13 Aug 2016 14:56:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Andreas Hoenen <andreas@hoenen-terstappen.de>
 Build-Depends: debhelper (>= 9), dh-python
 Build-Depends-Indep: python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://dblatex.sourceforge.net/
 X-Python-Version: >= 2.4
 
@@ -20,7 +20,8 @@
          xsltproc,
          ${misc:Depends},
          ${python:Depends}
-Recommends: libxml2-utils
+Recommends: libxml2-utils,
+            dblatex-doc (= ${binary:Version})
 Suggests: docbook,
           ghostscript,
           graphicsmagick-imagemagick-compat | imagemagick,
@@ -40,3 +41,15 @@
  MathML 2.0 markups are supported, too.  It originally started as a clone of
  DB2LaTeX, but has been enhanced extensively since then and is actively
  maintained by the upstream author.
+
+Package: dblatex-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Replaces: dblatex (<< 0.3.8-1)
+Breaks: dblatex (<< 0.3.8-1)
+Description: Documentation for dblatex
+ Additional documentation for dblatex in HTML and PDF.  Includes:
+  • User Manual
+  • Release Notes
+  • DocBook Examples
